# PCMGSetCyclesOnLevel

Sets the number of cycles to run on this level.

### Synopsis

    #include "petscksp.h"
    #include "petscmg.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCMGSetCyclesOnLevel(PC pc,PetscInt l,PetscInt c)

Collective on PC

### Input Parameters

| pc | - the multigrid context
| l | - the level (0 is coarsest) this is to be used for
| n | - the number of cycles

### Keywords

MG, multigrid, set, cycles, V-cycle, W-cycle, level

### See Also

PCMGSetCycles()

Level:advanced
Location: src/ksp/pc/impls/mg/mgfunc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages